summaryrefslogtreecommitdiff
path: root/libre/uboot-usbarmory/mkscr
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2016-03-02 02:55:30 -0300
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2016-03-02 02:55:30 -0300
commitffec767572058f3ad0fb869e59b4df2f64b80f04 (patch)
tree575ba5fb789d4ef4cd982cbe46cb377260637469 /libre/uboot-usbarmory/mkscr
parent3cc20cbac18f7e65b50643cd3a25be2211a76e9a (diff)
uboot-usbarmory: add new package to [libre]
Diffstat (limited to 'libre/uboot-usbarmory/mkscr')
-rwxr-xr-xlibre/uboot-usbarmory/mkscr9
1 files changed, 9 insertions, 0 deletions
diff --git a/libre/uboot-usbarmory/mkscr b/libre/uboot-usbarmory/mkscr
new file mode 100755
index 000000000..272b6a7a5
--- /dev/null
+++ b/libre/uboot-usbarmory/mkscr
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [[ ! -x /usr/bin/mkimage ]]; then
+ echo "mkimage not found. Please install uboot-tools:"
+ echo " pacman -S uboot-tools"
+ exit 1
+fi
+
+mkimage -A arm -O linux -T script -C none -n "U-Boot boot script" -d boot.txt boot.scr